Subject: PMP> Fwd: MIB compiler sources (used by Tom Hastings)

From: [email-masked] (Ira Mcdonald x10962)
Date: Mon, 9 Jun 1997 10:43:23 PDT

>From [email-masked] Mon Jun  9 12:40:36 1997
Date: Mon, 09 Jun 1997 09:35:27 -0700
To: [email-masked] (Ira Mcdonald x10962)
From: Tom Hastings <[email-masked]>
Subject: Re: MIB Compiler sources
Status: R

Ira,

Thanks for all the good info.

Ok if I forward to PMP and JMP lists?  Or do you want to?

Thanks,
Tom

At 17:06 06/06/97 EDT, you wrote:
>Copies To:  [email-masked],     (Tom Hastings at Xerox)
>            [email-masked],            (Bob Pentecost at HP)
>            [email-masked]
>
>Hi Tom and Bob,                                     Friday (6 June 1997)
>
>Short answers on our MIB compiler sources:
>
>MOSY (from ISODE Consortium)
>- comes with ISODE (ISO Development Environment) product distribution
>- portable C source code
>- free to academic users
>- under license from ISODE Consortium to commercial users
>- MOSY has been used for development by Fuji Xerox product teams
>
>Emissary (from Epilogue)
>- comes with Epilogue's Envoy SNMP product distribution
>- supports SNMPv2 Historic (RFC 144x) and SNMPv2 Community (RFC 190x)
>  in separate executables (Emissary 5.0 and Emissary 6.0)
>- portable C source code (and some executables)
>- under license from Epilogue to commercial users (usually royalties)
>- Emissary has been used for development by Xerox product teams
>
>SMICng (by David Perkins)
>- supports SNMPv2 Historic (RFC 144x) and SNMPv2 Community (RFC 190x)
>  in the same executable
>- ported executables for all DOS, Windows, OS/2, and Unix systems
>- Book Version (10/96) is free (on CD-ROM) w/ 'Understanding SNMP MIBs'
>  by David Perkins and Evan McGinnis, Prentice Hall (1996)
>- Book Version update (02/97) is free to owners of 'Understanding...'
>  from SNMPinfo's home page
>- Professional Version - under license from SNMPinfo to commercial users
>
>I use the updated SMICng Book Version (from the SNMPinfo Web page) and
>and Emissary 5.0/6.0 (from Envoy 6.0/7.0 releases) MIB compilers daily
>and thoroughly trust their combined error checking.
>
>Cheers,
>- Ira McDonald (outside consultant at Xerox)
>  High North Inc
>  PO Box 221
>  Grand Marais, MI  49839
>  906-494-2434
>
>PS - The professional version of the SMICng distribution includes a
>dandy MIB to HTML compiler which makes me want to talk Xerox into buying
>a site license for this one, too.  Epilogue also now has a MIB to HTML
>compiler and Web Server product.  The Emissary and SMICng compilers both
>come with 'hand-edited' versions of ALL the 'standard' IETF MIBs (to
>correct usage errors).  Use with caution...
>
>PPS - The ubiquitous MIB-stripping utility for peeling MIBs loose from
>the headers and footers of RFCs is 'mstrip' - part of SMICng stuff.
>
>>----------------------- Included Messages ----------------------------<
>
>>Date: Fri, 06 Jun 1997 08:41:04 -0700
>>To: [email-masked]
>>From: Tom Hastings <[email-masked]>
>>Subject: MIB Compilers
>>
>>I use SNICng, Epilogue, and MOSY, but I don't know where we got them.
>>
>>Can anyone help?
>>
>>This is a query from the HP representative on the PWG.  Kind of scary
>>that he is asking me.
>>
>>I'd like to help him out.
>>
>>The SNICng is availale with a book on SNMP, but I've forgotten the
>>title and author.
>>
>>Tom
>>
>>Return-Path: <[email-masked]>
>>From: Bob Pentecost <[email-masked]>
>>To: "'Hastings, Tom (PWG)'" <[email-masked]>
>>Subject: MIB Compilers
>>Date: Thu, 5 Jun 1997 15:25:41 PDT
>>
>>Tom,
>>
>>You have made references to "compiling the MIB" and I'm wondering
>which compiler(s) you use.  Also, where do you get the compilers (buy
>them or are they available off the web).
>>
>>Thanks.
>>
>>Bob
>
>